Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

groovy-jmx-2.4.21-7.2 RPM for noarch

From OpenSuSE Ports Tumbleweed for noarch

Name: groovy-jmx Distribution: openSUSE:Factory:zSystems
Version: 2.4.21 Vendor: obs://build.opensuse.org/openSUSE:Factory:zSystems
Release: 7.2 Build date: Thu Jun 16 00:01:10 2022
Group: Development/Libraries/Java Build host: s390zl27
Size: 250465 Source RPM: groovy-2.4.21-7.2.src.rpm
Url: https://groovy-lang.org
Summary: The jmx module for groovy
The jmx module for groovy.

Provides

Requires

License

Apache-2.0 AND BSD-3-Clause AND EPL-1.0 AND SUSE-Public-Domain AND CC-BY-2.5

Changelog

* Mon May 23 2022 Fridrich Strba <fstrba@suse.com>
  - Added patch:
    * 0001-illegal-reflective-access.patch
      + Backport upstream changes solving illegal reflective access
      + This fixes visibility errors with Java 16+
* Fri May 20 2022 Fridrich Strba <fstrba@suse.com>
  - Do not force building with java <= 15, since we now can run
    gradle-bootstrap with Java 17 too
  - Added patch:
    * groovy-java17.patch
      + Add the content of org.gradle.jvmargs to to the forked
      jvm in root compileJava task
      + Fixes build with Java 17
* Mon May 16 2022 Fridrich Strba <fstrba@suse.com>
  - Added patch:
    * groovy-2.4.21-jansi.patch
      + port to build against jansi 2.4.0
* Wed Mar 23 2022 Fridrich Strba <fstrba@suse.com>
  - Force building with JDK <= 15, since gradle does not work with
    anything higher
  - Modified patch:
    * groovy-source-levels.patch
      + build the whole with java source and target levels 8
  - Added patch:
    * groovy-ambiguous-functions-calls.patch
      + resolve parameter ambiguities with recent Java versions
* Mon Mar 21 2022 Fridrich Strba <fstrba@suse.com>
  - Remove a bogus dependency on old asm3
* Wed Jul 28 2021 Fridrich Strba <fstrba@suse.com>
  - Do not start summaries with lower-case letter
* Mon Dec 07 2020 Fridrich Strba <fstrba@suse.com>
  - Update to upstream version 2.4.21
    * Fixes bsc#1179729, CVE-2020-17521
  - Modified patch:
    * 0003-Bintray.patch
      + Rediff to changed context
* Thu Apr 09 2020 Fridrich Strba <fstrba@suse.com>
  - Avoid bogus eclipse-platform dependencies
* Mon Dec 09 2019 Fridrich Strba <fstrba@suse.com>
  - Update to upstream version 2.4.16
  - Modified patches:
    * 0002-Gradle-local-mode.patch
    * 0003-Bintray.patch
      + Rediff to changed context
  - Added patches:
    * groovy-buildscan.patch
      + Disable build-scan plugin during the build
    * groovy-java11.patch
      + Fixes compatibility with Java 11
    * groovy-source-levels.patch
      + Set the language level to 7 in order to allow building
      with Java 11
  - Build with Java 11
* Mon Dec 02 2019 Fridrich Strba <fstrba@suse.com>
  - For some reason, the .xmvn-reactor ends up on s390x in the
    ~/.gradle/daemon/<gradleVersion>/ directory, even though we
    specify --no-daemon option to gradle. We work it around by
    bringing it to the directory where xmvn-install expects it to
    be found.
* Sun Nov 17 2019 Fridrich Strba <fstrba@suse.com>
  - Initial packaging of groovy 2.4.8

Files

/usr/share/java/groovy
/usr/share/java/groovy/groovy-jmx-indy.jar
/usr/share/java/groovy/groovy-jmx.jar
/usr/share/maven-metadata/groovy-jmx.xml


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Aug 9 13:42:33 2022